Intron Connect
Catalog

Create a draft catalog artifact version

POST
/api/v1/catalog

Authorization

bearer-jwt
AuthorizationBearer <token>

OIDC Bearer JWT. Obtain via OAuth2 Authorization Code or client credentials.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/catalog" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "type": "API",    "owner": "string",    "title": "string"  }'
{  "id": "string",  "version": "string",  "sunsetAt": "2019-08-24T14:15:22Z",  "publishedAt": "2019-08-24T14:15:22Z",  "type": "API",  "owner": "string",  "title": "string",  "description": "string",  "lifecycle": "DRAFT",  "source": "FILE",  "spec": {    "property1": null,    "property2": null  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "workspaceId": "string",  "projectId": "string",  "groupPath": "string",  "members": [    {      "id": "string",      "type": "API",      "title": "string",      "lifecycle": "DRAFT",      "groupPath": "string"    }  ],  "counts": {    "property1": 0,    "property2": 0  }}